Package io.flutter.embedding.engine.renderer

## Enum FlutterRenderer.DisplayFeatureState

- java.lang.Object
- - java.lang.Enum<FlutterRenderer.DisplayFeatureState>
  - - io.flutter.embedding.engine.renderer.FlutterRenderer.DisplayFeatureState

- All Implemented Interfaces:
    `Serializable`, `Comparable<FlutterRenderer.DisplayFeatureState>`
  Enclosing class:
    FlutterRenderer

      public static enum FlutterRenderer.DisplayFeatureState
      extends Enum<FlutterRenderer.DisplayFeatureState>

  State of the display feature.

  For foldables, the state is the posture. For cutouts, this property is `UNKNOWN`

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant | Description
    --- | ---
    `POSTURE_FLAT` | The foldable device is completely open.
    `POSTURE_HALF_OPENED` | The foldable device's hinge is in an intermediate position between opened and closed state.
    `UNKNOWN` | The display feature is a cutout or this state is new and not yet known to Flutter.

  - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `int` | `encodedValue` |

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static FlutterRenderer.DisplayFeatureState` | `valueOf​(String name)` | Returns the enum constant of this type with the specified name.
    `static FlutterRenderer.DisplayFeatureState[]` | `values()` | Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### UNKNOWN

          public static final FlutterRenderer.DisplayFeatureState UNKNOWN

      The display feature is a cutout or this state is new and not yet known to Flutter.

    - #### POSTURE_FLAT

          public static final FlutterRenderer.DisplayFeatureState POSTURE_FLAT

      The foldable device is completely open. The screen space that is presented to the user is flat. Corresponds to `FoldingFeature.State.FLAT`

    - #### POSTURE_HALF_OPENED

          public static final FlutterRenderer.DisplayFeatureState POSTURE_HALF_OPENED

      The foldable device's hinge is in an intermediate position between opened and closed state. There is a non-flat angle between parts of the flexible screen or between physical display panels. Corresponds to `FoldingFeature.State.HALF_OPENED`

  - ### Field Detail

    - #### encodedValue

          public final int encodedValue

  - ### Method Detail

    - #### values

          public static FlutterRenderer.DisplayFeatureState[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (FlutterRenderer.DisplayFeatureState c : FlutterRenderer.DisplayFeatureState.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static FlutterRenderer.DisplayFeatureState valueOf​(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null